html, body {
    overflow-x:hidden;
}

/* ================= WooCommerce ============== */
/* html{
	overflow-x:hidden !important;
} */
.products .product .ast-woo-shop-product-description p {
    display: -webkit-box;
    display: box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
} 

.products .product .ast-on-card-button{
	display: none !important;
}



.products .product{
	border: 1px solid #202530 !important;
	position: relative !important; 
	box-shadow: 0px 4px 20px 10px rgb(0 0 0 / 5%) !important;
	border-radius: 20px !important;
	display: flex !important;
	flex-wrap: wrap !important;
	align-content: space-between !important;
	justify-content: space-between;
	background: transparent !important;
	transform: scale(1) !important;
	transition: 0.5s !important;
	padding: 0 !important;
}


.products .product:hover{
	transform: scale(1.03) !important;
	border: 1px solid rgba(96, 165, 250, 0.3) !important;
}



.products .product .astra-shop-summary-wrap .ast-woo-product-category{
    position: absolute !important;
    top: 10px;
    left: 10px;
    background: #ca2f2a !important;
    border: 1px solid #0000000d;
    padding: 4px 10px;
    opacity: 1 !important;
    letter-spacing: 1px !important;
    font-size: 11px !important;
    text-transform: uppercase;
    border-radius: 10px !important;
    color: #ffffff !important;
    font-weight: 600 !important;
}

/* .products .product .astra-shop-summary-wrap .ast-woo-product-category{
	position: relative;
	background: #ca2f2a70 !important;
	border: 1px solid #0000000d;
	opacity: 1 !important;
	letter-spacing: 1px !important;
	font-size: 11px !important;
	text-transform: uppercase;
	border-radius: 10px !important;
	color: #fff !important;
	font-weight: 600 !important;
	text-align: left;
	background: transparent !important;
	color: #60a5fa !important;
} */

.products .product .astra-shop-summary-wrap{
	/* 	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;*/
	width: 100% !important;
	padding: 20px !important; 
	border-radius: 20px !important;
	background: #0f1420c7 !important;
	/*     box-shadow: 7px 8px 0px 0px rgb(255 181 105 / 11%) !important; */
	transition: 0.3s !important;
	border-top: 1px solid transparent !important;
	border-left: 1px solid transparent !important;
	border-right: 1px solid transparent !important;
	border-bottom: 1px solid transparent !important;
}


.products .product:hover .astra-shop-summary-wrap{
/* 	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;*/
	padding: 20px !important; 
	background: #0F1420 !important;
    box-shadow: 0px 0px 0px 0px rgb(255 181 105 / 11%) !important;
	transition: 0.3s !important;
	border-radius: 0px 0px 20px  20px !important;
/* 	border-bottom: 1px solid #223ba240 !important;	 */
}

.products .product  .ast-loop-product__link{
	width: 100% !important;
	text-align: left !important;
	margin-bottom: 0px !important;
}

.products .product .woocommerce-loop-product__title{
	font-weight: 800 !important;
	font-size: 18px !important;
	letter-spacing: 1.5px !important;
}


.products .product  .button{
	width: 100% !important;
	padding: 10px 10px !important;
	font-size: 12px !important;
	margin: 0 !important;
	letter-spacing: 1px !important;
	text-transform: uppercase;
	border-radius: 0;
	padding: 13px 15px !important;
	border-radius: 10px !important;
	background: rgba(59, 130, 246, 0.1); !important;
	color: #60a5fa !important;
	margin-top: 10px !important;
	font-weight: 600 !important;
	text-align: center !important;
	transition: 0.6s !important;
}

.products .product:hover  .button{
	background: #223BA2 !important;
	color: #FFF !important;
}



.products .product  .price{
	text-align: left !important;
	font-weight: 700 !important;
	color: #2a7ffa  !important;
	font-size: 18px !important
}


 

.products .product img{
	margin-bottom: 0 !important;
	padding: 20px !important;
	margin: 0 auto !important;
	 
	transform: scale(1) !important;
	transition: 0.5s !important;
	overflow: hidden !important;
}

.products .product .ast-on-card-button{
	display: none !important;
}

.products .product:hover img{
	transform: scale(1.1) !important;
}





/* ================= single-product ================== */

.single-product .woocommerce-product-details__short-description ul{ 
	margin-left: 18px !important;
}



/*  */

.single-product .ast-on-card-button{
	display: none !important;
}

.single-product .woocommerce-variation-add-to-cart .quantity{
	display: flex !important;
}

.single-product .woocommerce-variation-add-to-cart .quantity .qty-btn-custom{
	margin: 0 !important;
	border-radius: 0 !important;
	background: #F78E22 !important;
	transition: 0.5s !important;
}

.single-product .woocommerce-variation-add-to-cart .quantity .qty-btn-custom:hover{
	background: #cb6a07 !important;
}


/* ── Hide default WooCommerce qty arrows ── */
.woocommerce input[type=number]::-webkit-inner-spin-button,
.woocommerce input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.woocommerce input[type=number] { -moz-appearance: textfield; }

.single-product .woocommerce-variation-add-to-cart .single_add_to_cart_button{
	padding: 15px !important;
}
 

/* single Product Quantity */

.single-product .cart .quantity{
	display: flex !important;
}

.single-product .cart .quantity .qty-btn-custom{
	margin: 0 !important;
	border-radius: 0 !important;
	background: #bf070a  !important;
	transition: 0.5s !important;
}

.single-product .cart .quantity .qty-btn-custom:hover{
	background: #520102 !important;
}

.single-product .cart .single_add_to_cart_button {
    padding: 15px !important;
}

.woocommerce-js div.product div.images .woocommerce-product-gallery__wrapper .zoomImg{
    background-color: #0F1420 !important;
}
 
/* Variation CSS */

.single-product .variable-item{
	padding: 17px 27px !important;
	border-radius: 8px !important;
	border: 1px solid #c9cacb8a !important;
	background: #f1f1f100 !important;
	color: var(--muted) !important;
	font-family: 'Space Grotesk', sans-serif !important;
	font-size: 14px !important;
	font-weight: 500 !important;
	cursor: pointer !important;
	transition: all 0.2s !important;
	box-shadow: unset !important;
	font-weight: 600 !important;
}

.single-product .selected{
    border: 1px solid #2082ff !important;
    background: #27508161 !important;
    color: #fff3f3 !important;
}

.single-product .ast-stock-avail {
    padding: 5px 10px !important;
    border-radius: 0 !important;
    border: 1px solid #f6e8da17 !important;
    background: #f6a95b24 !important;
    color: var(--muted) !important;
    font-family: 'Space Grotesk', sans-serif !important;
    font-size: 13px !important;
    font-weight: 500 !important;
    cursor: pointer !important;
    transition: all 0.2s !important;
    box-shadow: unset !important;
    font-weight: 600 !important;
}

.single-product  .stock {
	color: #d57008 !important;
	font-size: 14px !important;
}

.single-product .woo-selected-variation-item-name{
	color: #000 !important;
	font-weight: 800 !important;
}

.single-product .woocommerce-variation-price{
	font-size: 26px !important;
    font-weight: 900 !important;
    font-family: 'Inter' !important;
}

.single-product .variations .woo-selected-variation-item-name{
	color: #fff !important;
}

.single-product .variations .woo-variation-items-wrapper{
	border-bottom: 1px solid #efefef36 !important;
}

/*   product_meta  */

.single-product .product_meta{
	display: flex !important;
	flex-wrap: wrap !important;
	border-top: 1px solid #333;
}

.single-product .product_meta .detail-container, .single-product .product_meta .posted_in{
	width: 100% !important;
}

.single-product .product_meta .detail-label{
	font-weight: 700 !important;
}

.single-product .product_meta a {
    padding: 4px 14px !important;
    display: inline-block;
    border-radius: 50px !important;
    border: 1px solid #0078f36e !important;
    background: #071d44d9 !important;
    color: #d0d4d9 !important;
    font-family: 'Space Grotesk', sans-serif !important;
    font-size: 12px !important;
    cursor: pointer !important;
    transition: all 0.2s !important;
    box-shadow: unset !important;
    font-weight: 400 !important;
    line-height: 14px;
    margin-bottom: 4px !important;
    margin-right: 4px !important;
}

.single-product .product_meta a:hover {
    border: 1px solid #bf070a9e !important;
    background: #bf070a40 !important;
    color: #f7f4f4 !important;
}

.single-product  .woocommerce-message{
	background: #052231 !important;
	margin: 0 !important;
	color: #fff !important;
}


/* ======  woocommerce-tabs  ========= */

.single-product .woocommerce-tabs .tabs li{
	  background: #0c30734a !important;
}

.single-product .woocommerce-tabs .tabs li a{
	color: #fff !important;
}

.single-product .woocommerce-tabs .tabs{
	margin-bottom: 10px !important; 
}  

.single-product .woocommerce-tabs li:hover::before{
	background: #0078f3 !important;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active:before{
	background: #0078f3 !important;
}

.woocommerce div.product.elementor .woocommerce-tabs .panel {
    border-top: 1px solid #d3ced23d !important;
}

.single-product .active{
	background: #F78E22 !important;
	color: #fff !important;
}

.single-product .woocommerce-Tabs-panel{
	padding: 10px 0px !important;
}

.single-product .woocommerce-Tabs-panel .jp-relatedposts{
	display: none !important;
}


.woocommerce-Tabs-panel .woocommerce-product-attributes{
	border-top: 1px solid #444444a6 !important;
}


.woocommerce-js div.product .woocommerce-tabs .shop_attributes td, .woocommerce-js div.product .woocommerce-tabs .shop_attributes th{
	border: 1px solid #444444a6 !important;
}



/*  =========== Single Product Payment option Hide ==============  */

.single-product #wc-stripe-express-checkout-element{
	display: none !important;
}

.single-product .ppcp-messages{
	display: none !important;
}

.single-product .ppc-button-wrapper{
	display: none !important;
}



/* ====================== Cart Page =================== */

.woocommerce-cart .site-content{
	background: #000 !important;
}

.woocommerce-cart .woocommerce-cart-form{
	background: #0F1420 !important;
}

.woocommerce-cart .woocommerce-cart-form .product-name a{
	color: #fff !important;
}

.woocommerce-cart .shop_table tr td{
	border-bottom: 1px solid #efefef24 !important;
}

.woocommerce-cart .cart_totals h2{
	font-size: 22px !important;
	color: #016bd9 !important;
	text-align: center !important;
}

.woocommerce-cart .cart_totals {
	background: #0f1420 !important;
}


/* ====================== Cart Page =================== */


.woocommerce-checkout .site-content{
	background: #07090D !important;
}


.woocommerce-checkout #customer_details{
	background: #0F1420 !important;
	padding: 30px !important;
	border: 1px solid rgb(255 255 255 / 7%) !important;
}

.woocommerce-checkout #customer_details input, .woocommerce-checkout #customer_details select, .woocommerce-checkout #customer_details select2 {
	background: #07090d !important;
	border: 1px solid rgba(255, 255, 255, 0.12) !important;
	border-radius: 8px !important;
	color: #fff !important;
	padding: 25px 20px !important;
	font-size: 0.95rem !important;
	width: 100% !important;
	transition: border-color 0.3s !important;
	box-sizing: border-box !important;
}

.woocommerce-checkout #customer_details textarea{
	background: #07090d !important;
	border: 1px solid rgba(255, 255, 255, 0.12) !important;
	border-radius: 8px !important;
	color: #fff !important;
	 
	font-size: 0.95rem !important;
	width: 100% !important;
	transition: border-color 0.3s !important;
	box-sizing: border-box !important;
}

.woocommerce-checkout .input-text::placeholder{
    color: #fff !important;
    opacity: 0.5 !important;
}

#billing_address_1::placeholder,
#billing_address_2::placeholder{
   color: #fff !important;
    opacity:0.5 !important;
}

 


/* Country & State Background */
#billing_country_field .select2-selection--single,
#billing_state_field .select2-selection--single{
    background: #0a0a0a !important;
    border: 1px solid #2d3345 !important;
    color: #fff !important;
    height: 50px !important;
    border-radius: 6px;
}

#billing_country_field .select2-selection__rendered,
#billing_state_field .select2-selection__rendered{
    color: #fff !important;
    line-height: 32px !important;
}

#billing_country_field .select2-selection__arrow,
#billing_state_field .select2-selection__arrow{
    height: 50px !important;
}

#billing_country_field .select2-selection__arrow b,
#billing_state_field .select2-selection__arrow b{
    border-top-color: #fff !important;
}

/*  */

.woocommerce-checkout #customer_details label{
	font-size: 0.72rem !important;
	letter-spacing: 0.1em !important;
	text-transform: uppercase !important;
	color: #73777e !important;
	font-weight: 600 !important;
	margin-bottom: 0.5rem !important;
}

.woocommerce-checkout #customer_details h3{
	font-size: 24px !important;
}

.woocommerce-checkout .woocommerce-form-coupon-toggle .woocommerce-info{
	background: #0F1420;
	color: #ababab !important;
}
    

.woocommerce-checkout .woocommerce-form-coupon-toggle .woocommerce-info a{
	color: #ef1d05 !important;
}


/* -------------- order_review --------------- */

.woocommerce-checkout #order_review{
	background: #0F1420 !important;
	padding: 30px !important;
	border: 1px solid rgb(255 255 255 / 7%) !important;
}

.woocommerce-checkout #order_review_heading{
	padding: 20px !important;
	font-size: 24px !important;
	background: #0F1420 !important;
	border: 1px solid rgb(255 255 255 / 7%) !important;
}

.woocommerce-page.woocommerce-checkout form #order_review td{
	border-color: rgba(255, 255, 255, 0.07) !important;
	font-size: 12px !important; 
}




/*  */


.avp-show #avp-popup{
	max-width: 520px !important;
}

.avp-show #avp-popup .avp-btn-group .avp-btn { 
  padding: 14px 15px !important;
  font-size: 14px !important;
}



/* ======================= testimonial-section ====================== */

.testimonial-section .slick-track {
    display: flex !important;
}

.testimonial-section .slick-slide {
    height: auto !important;
    display: flex !important;
}

.testimonial-section .pp-testimonial-slide {
    display: flex !important;
    height: auto;
}

.testimonial-section .pp-testimonial-outer {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.testimonial-section .pp-testimonial {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}


.testimonial-section .pp-testimonial-content-wrap {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.testimonial-section .pp-testimonial-text {
    flex-grow: 1;
}





@media (max-width: 767px) {
    .archive .elementor-widget-wc-archive-products .products {
        grid-template-columns: repeat(1, 1fr) !important;
    }
}








